QGIS Application - Bug report #16553

Attribute table: in form view, using Shift keyboard for multiple features selection does not behave
like in table view

2017-05-15 09:26 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.18.7 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 24459
Description

Open an attribute table

Toggle to form view

Try to select multiple features, using ctrl, shift or anything else: You can only add features to selection one by one; no way to select a
range of features at once using shift keyboard (unlike in table view)

History

#1 - 2017-05-16 12:18 AM - Giovanni Manghi
- Status changed from Open to Feedback

| tested 2.14 and 2.8 and the behavior is exactly the same. Has this ever possible? What is the use case?

#2 - 2017-05-18 01:54 PM - Harrissou Santanna

Not sure this feature was ever there.
For the use case, | was trying to select multiple features from the attribute table in order to use the muilti edit attributes tool.

And because, in case it's technically possible, it'd make the dialog consistent with the table view behavior.

#3 - 2017-05-18 07:12 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
